Subject: Re: bug#42333: Emacs: error on guix-emacs-autoload-packages

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 15 Jul 2020 12:23:47 -0400

Hello Alexandru,

Alexandru-Sergiu Marton <[email-masked]> writes:

> I managed to somehow fix it in a way.
>
> - Uninstall Emacs and all the packages installed with Guix
> - rm -rf .emacs.d
> - guix gc
> - Reinstall Emacs
>
> This way guix-emacs-autoload-packages works again. I installed ALL the
> packages I needed from Guix (I ditched Doom Emacs) and generating my
> site work too now.
>
> Weird thing is that I needed to (require 'org-id) in the script for my
> site but on my PC I don't have to.
>
> I still don't get this weird behaviour.

If you could come with a minimal reproducer, I could have a look.

Otherwise, I'm afraid there's too many variables to keep track
(emacs-doom, possible conflicts with Org when installed from different
places, etc.).

Thank you,

Maxim